program main_lvalue

! This program reads the parameters, calculate likelihood, and return the likelihood value.

use globvar
use dataread

implicit none

integer :: i, par_n
character(50) :: inheader
real(8) :: para(npar), lval

call getarg(1, inputfilename)
call getarg(2, outputfilename)

open(1001,file=inputfilename)
read (1001,*), inheader
read (1001,*), par_n
do i=1,npar
  read (1001,*), para(i)
end do
close(1001)

call datareadroutine

! scaling
do i = 1,npar
    scale_par(i) = 1.0d0
end do
scale_par(1)  = 0.0001d0
scale_par(2)  = 0.0001d0
scale_par(11) = 10.0d0
scale_par(12) = 10.0d0
scale_par(13) = 10.0d0
scale_par(14) = 10.0d0       

! weight
weight = 50.0d0/(1.0d0*np)

call lhood(npar,para,lval)

open(1002, file=outputfilename)
write(1002,*) 1
write(1002,*) lval
close(1002)
        
end program main_lvalue
