program main_stderr

! This program reads the parameters, calculate likelihood, and return the standard errors.

use globvar
use dataread

implicit none

integer :: i, par_n
character(50) :: inheader
real(8) :: para(npar), lval
real(8) :: start, finish

open(1001,file="est_par.txt")
read (1001,*), inheader
read (1001,*), par_n
do i=1,npar
  read (1001,*), para(i)
end do
close(1001)

call datareadroutine

! scaling
do i = 1,npar
    scale_par(i) = 1.0d0
end do
scale_par(1)  = 0.0001d0
scale_par(2)  = 0.0001d0
scale_par(11) = 10.0d0
scale_par(12) = 10.0d0
scale_par(13) = 10.0d0
scale_par(14) = 10.0d0         

! weight
lambda = 50.0d0
weight = lambda/(1.0d0*np)

call cpu_time(start)

open(1000, file="est_stderr.txt")
call lhood(npar,para,lval)
call asymvar(npar,para)
call simulation(npar,para)
close(1000)

call cpu_time(finish)
print '("Time = ",f15.3," seconds.")',finish-start
       
end program main_stderr